
$(document).ready(function() {

	$("input[name=seo_meta\\[\\]]").click(function(e){

			switch ($(this).val()) {
				case "noindex":
					if ($(this).prop("checked"))
						$("#seo_meta_index").prop('checked', false);
					else 
						$("#seo_meta_index").prop('checked', true);
				break;			

				case "index":
					if ($(this).prop("checked"))
						$("#seo_meta_noindex").prop('checked', false);
					else 
						$("#seo_meta_noindex").prop('checked', true);
				break;			

				case "follow":
					if ($(this).prop("checked"))
						$("#seo_meta_nofollow").prop('checked', false);
					else 
						$("#seo_meta_nofollow").prop('checked', true);
				break;			

				case "nofollow":
					if ($(this).prop("checked"))
						$("#seo_meta_follow").prop('checked', false);
					else 
						$("#seo_meta_follow").prop('checked', true);
				break;			
			}		
	});


	//code mirror fix


	if ($("#seo_conv_body").length > 0){

		if ($("#seo_conv_body").is("textarea"))
			var edSCV = CodeMirror.fromTextArea(document.getElementById("seo_conv_body"), {
				lineNumbers: true,
//				autofocus: true,
//                matchBrackets: true,
  //              styleActiveLine: true
			});

//			edSCV.on("focus", function(i , e ) { i.refresh(); });
//			setTimeout(function() { edSCV.refresh(); } );
	}


	if ($("#seo_conv_head").length > 0){
		if ($("#seo_conv_head").is("textarea")) {
			var edSCH = CodeMirror.fromTextArea(document.getElementById("seo_conv_head"), {
				lineNumbers: true
			});

//			edSCH.on("focus", function(i , e ) { i.refresh(); });
//			setTimeout(function() { edSCH.refresh(); } );
		}
	}


	if ($("#text_title").length && $("#seo_title").length){
		$("#text_title").blur(function(){
			if (!$("#seo_title").val().length){
				$("#seo_title").val($(this).val());
				$("#seo_title").trigger("change");
			}			
		});	
	}

	if ($("#text_title_page").length && $("#seo_title_page").length){
		$("#text_title_page").blur(function(){
			if (!$("#seo_title_page").val().length){
				$("#seo_title_page").val($(this).val());
				$("#seo_title_page").trigger("change");
			}			
		});	
	}


	//character counter
	$('#seo_title_page,#seo_title').on('input change', function(){
		chars = $(this).val().length;
		$(this).next("span").html(chars);

		if (chars == 0){
			$(this).next("span").removeClass("green orange orange-dark").addClass("red");	//red
		} else {

			if ((chars > 0 ) && (chars <= 55)){
				$(this).next("span").removeClass("red orange orange-dark").addClass("green");
			} else {

				if ((chars > 55 ) && (chars <= 65)){
					$(this).next("span").removeClass("green red orange-dark").addClass("orange");
				} else {
					$(this).next("span").removeClass("green red orange").addClass("orange-dark");	//red
				}
			}
		}
	});


	$('#seo_desc_page,#seo_desc').on('input change', function(){
		chars = $(this).val().length;
		$(this).next("span").html(chars);

		if (chars == 0){
			$(this).next("span").removeClass("green orange orange-dark").addClass("red");	//red
		} else {


			if ((chars > 0 ) && (chars <= 150)){
				$(this).next("span").removeClass("red orange orange-dark").addClass("green");
			} else {
				$(this).next("span").removeClass("green orange red").addClass("orange-dark");	//red
			}

		}
	});


	$('#seo_title_page , #seo_desc_page, #seo_title, #seo_desc').each(function() {
		if (!$(this).next("span").length){
			chars = $(this).val().length;
			$(this).after("<span class='counter'>" + chars + "</span>");

			$(this).trigger("input");
		}
	});



});